/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.cid;


import cdac.medinfo.sdk.dcm30_04.templates.enums.EnumCodingSchemeDesignator;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_FetalGrowthEquationsAndTables;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cv.EnumCV_FetalGrowthEquationsAndTables;


/**
 * This class represents FetalGrowthEquationsAndTables - CID12015
 */
public class FetalGrowthEquationsAndTables_CID12015 
{
	
	/**
	 * The Code Value for template.
	 */
	private String strCodeValue = null;

	/**
	 * The Code Meaning for template.
	 */
	private String strCodeMeaning = null;

	/**
	 * The Coding Scheme Designator for template.
	 */
	private String strCodingSchemeDesignator;

	/**
	 * Instantiates a new FetalGrowthEquationsAndTables_CID12015 Template 
	 */
	public FetalGrowthEquationsAndTables_CID12015()
	{

	}

	/**
	 * Retrieves the value for Code Meaning.
	 * @return String value for Code Meaning.
	 */
	public String getCodeMeaning()
	{
		return strCodeMeaning;
	}

	/**
	 * Retrieves the value for Code Value.
	 * @return String value for Code Value.
	 */
	public String getCodeValue() 
	{
		return strCodeValue;
	}

	/**
	 * Retrieves the value for Coding Scheme Designator.
	 * @return String value for Coding Scheme Designator.
	 */
	public String getCodingSchemeDesignator() 
	{
		return strCodingSchemeDesignator;
	}

	/**
	 * Sets the Code Value according to Code Meaning.
	 * @param enumFetalGrowthEquationsAndTables Object of EnumCM_FetalGrowthEquationsAndTables represents Code Meaning.
	 */
	private void setCodeValue(EnumCM_FetalGrowthEquationsAndTables enumFetalGrowthEquationsAndTables)
	{
		switch(enumFetalGrowthEquationsAndTables)
		{
		case AC_BY_GA_ASUM_2000: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.AC_BY_GA_ASUM_2000_33145_4.getValue(); break;
		case AC_BY_GA_HADLOCK_1984: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.AC_BY_GA_HADLOCK_1984_33146_2.getValue(); break;
		case AC_MEASURED_BY_GA_CHITTY_1994: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.AC_MEASURED_BY_GA_CHITTY_1994_33147_0.getValue(); break;
		case AC_DERIVED_BY_GA_CHITTY_1994: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.AC_DERIVED_BY_GA_CHITTY_1994_33546_3.getValue(); break;
		case AC_BY_GA_MERZ_1988: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.AC_BY_GA_MERZ_1988_33148_8.getValue(); break;
		case AC_BY_GA_SHINOZUKA_1996: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.AC_BY_GA_SHINOZUKA_1996_33149_6.getValue(); break;
		case AXT_BY_GA_SHINOZUKA_1996: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.AXT_BY_GA_SHINOZUKA_1996_33150_4.getValue(); break;
		case BPD_BY_GA_ASUM_2000: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.BPD_BY_GA_ASUM_2000_33151_2.getValue(); break;
		case BPD_BY_GA_HADLOCK_1984: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.BPD_BY_GA_HADLOCK_1984_33198_3.getValue(); break;
		case BPD_OUTER_INNER_BY_GA_CHITTY_1994: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.BPD_OUTER_INNER_BY_GA_CHITTY_1994_33556_2.getValue(); break;
		case BPD_OUTER_OUTER_BY_GA_CHITTY_1994: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.BPD_OUTER_OUTER_BY_GA_CHITTY_1994_33152_0.getValue(); break;
		case BPD_BY_GA_JEANTY_1982: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.BPD_BY_GA_JEANTY_1982_33153_8.getValue(); break;
		case BPD_BY_GA_MERZ_1988: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.BPD_BY_GA_MERZ_1988_33154_6.getValue(); break;
		case BPD_BY_GA_REMPEN_1991: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.BPD_BY_GA_REMPEN_1991_33155_3.getValue(); break;
		case BPD_BY_GA_SHINOZUKA_1996: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.BPD_BY_GA_SHINOZUKA_1996_33156_1.getValue(); break;
		case CEPHALIC_INDEX_BY_GA_CHITTY_1994: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.CEPHALIC_INDEX_BY_GA_CHITTY_1994_33157_9.getValue(); break;
		case CEPHALIC_INDEX_BY_GA_HADLOCK_1981: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.CEPHALIC_INDEX_BY_GA_HADLOCK_1981_33158_7.getValue(); break;
		case CRL_BY_GA_ASUM_2000: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.CRL_BY_GA_ASUM_2000_33159_5.getValue(); break;
		case CRL_BY_GA_REMPEN1991: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.CRL_BY_GA_REMPEN1991_33160_3.getValue(); break;
		case CRL_BY_GA_SHINOZUKA_1996: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.CRL_BY_GA_SHINOZUKA_1996_33161_1.getValue(); break;
		case EFW_BY_GA_HADLOCK_1991: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.EFW_BY_GA_HADLOCK_1991_33162_9.getValue(); break;
		case EFW_BY_GA_HANSMANN_1986: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.EFW_BY_GA_HANSMANN_1986_33163_7.getValue(); break;
		case FIBULA_BY_GA_JEANTY_1983: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.FIBULA_BY_GA_JEANTY_1983_33164_5.getValue(); break;
		case FL_BY_GA_ASUM_2000: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.FL_BY_GA_ASUM_2000_33165_2.getValue(); break;
		case FL_BY_GA_HADLOCK_1984: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.FL_BY_GA_HADLOCK_1984_33166_0.getValue(); break;
		case FL_BY_GA_CHITTY_1994: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.FL_BY_GA_CHITTY_1994_33167_8.getValue(); break;
		case FL_BY_GA_JEANTY_1982: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.FL_BY_GA_JEANTY_1982_33168_6.getValue(); break;
		case FL_BY_GA_MERZ_1988: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.FL_BY_GA_MERZ_1988_33169_4.getValue(); break;
		case FL_BY_GA_SHINOZUKA_1996: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.FL_BY_GA_SHINOZUKA_1996_33170_2.getValue(); break;
		case GS_BY_GA_REMPEN_1991: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.GS_BY_GA_REMPEN_1991_33171_0.getValue(); break;
		case HC_BY_GA_ASUM_2000: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.HC_BY_GA_ASUM_2000_33172_8.getValue(); break;
		case HC_BY_GA_HADLOCK_1984: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.HC_BY_GA_HADLOCK_1984_33173_6.getValue(); break;
		case HC_DERIVED_BY_GA_CHITTY_1994: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.HC_DERIVED_BY_GA_CHITTY_1994_33174_4.getValue(); break;
		case HC_BY_GA_JEANTY_1982: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.HC_BY_GA_JEANTY_1982_33175_1.getValue(); break;
		case HC_BY_GA_MERZ_1988: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.HC_BY_GA_MERZ_1988_33176_9.getValue(); break;
		case HUMERUS_LENGTH_BY_GA_ASUM_2000: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.HUMERUS_LENGTH_BY_GA_ASUM_2000_33177_7.getValue(); break;
		case OFD_BY_GA_ASUM_2000: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.OFD_BY_GA_ASUM_2000_33178_5.getValue(); break;
		case OFD_BY_GA_CHITTY_1994: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.OFD_BY_GA_CHITTY_1994_33179_3.getValue(); break;
		case RADIUS_BY_GA_JEANTY_1983: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.RADIUS_BY_GA_JEANTY_1983_33180_1.getValue(); break;
		case TCD_BY_GA_GOLDSTEIN_1987: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.TCD_BY_GA_GOLDSTEIN_1987_33181_9.getValue(); break;
		case HC_AC_BY_GA_CAMPBELL_1977: this.strCodeValue =EnumCV_FetalGrowthEquationsAndTables.HC_AC_BY_GA_CAMPBELL_1977_33182_7.getValue(); break;
		}
	}

	/**
	 * Sets the value for FetalGrowthEquationsAndTables
	 * @param enumFetalGrowthEquationsAndTables Object of EnumCM_FetalGrowthEquationsAndTables.
	 */
	public void setFetalGrowthEquationsAndTables(EnumCM_FetalGrowthEquationsAndTables enumFetalGrowthEquationsAndTables)
	{
		/**
		 * Retrieves the value for CodingSchemeDesignator, CodingSchemeVersion and Code Meaning and 
		 * sets the Code Value according to Code Meaning.
		 */
		this.strCodeMeaning = enumFetalGrowthEquationsAndTables.getValue();
		this.strCodingSchemeDesignator = EnumCodingSchemeDesignator.LN.getValue();
		
		/**
		 * set code Value
		 */
		setCodeValue(enumFetalGrowthEquationsAndTables);
	}
}
